Bug 1605912 - Change in chargeback report logging output
Summary: Change in chargeback report logging output
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.3
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Libor Pichler
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks: 1623582
TreeView+ depends on / blocked
 
Reported: 2018-07-20 17:35 UTC by Tasos Papaioannou
Modified: 2019-02-28 17:49 UTC (History)
4 users (show)

Fixed In Version: 5.10.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1623582 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:18:38 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Tasos Papaioannou 2018-07-20 17:35:08 UTC
Description of problem:

After changes introduced in commit a518a17a0865554adfd42b3bf625194c6f15c461, chargeback reports log a different number of records found.

For example, a chargeback report for the past day logs 114 records found:

[----] I, [2018-07-20T10:58:27.130534 #12091:489108]  INFO -- : MIQ(Chargeback::ConsumptionHistory.for_report) Found 114 records for time range [Thu, 19 Jul 2018 00:00:00 UTC +00:00, Thu, 19 Jul 2018 23:59:59 UTC +00:00]

This gives the number of VM's with hourly rollups in that time range. Prior to this commit, the total number of rollups is logged instead:

[----] I, [2018-07-20T13:32:05.828170 #2317:cbd108]  INFO -- : MIQ(Chargeback::ConsumptionHistory.for_report) Found 1620 records for time range [Thu, 19 Jul 2018 00:00:00 UTC +00:00, Thu, 19 Jul 2018 23:59:59 UTC +00:00]


Version-Release number of selected component (if applicable):

5.9.3

How reproducible:

100%

Steps to Reproduce:
1.) Run chargeback for the past day.
2.) View evm.log.

Actual results:

Number of VM's is now logged as number of records found for time range.

Expected results:

Number of rollups is logged as number of records found for time range (or both # of rollups and # of VM's).

Additional info:

Comment 3 Joe Rafaniello 2018-08-07 21:53:52 UTC
Libor, can you take a look when you get a chance?  Thanks!

Comment 6 Tasos Papaioannou 2018-09-18 14:19:58 UTC
Verified on 5.10.0.15.


Note You need to log in before you can comment on or make changes to this bug.